Jump to content

Joro--

Members
  • Content count

    59
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Joro--

  • Rank
    Forum Junior
  • Birthday 08/07/1978

Personal Information

  • Location
    Bulgaria, Sofia
  • Interests
    TableTennis, Chess

My Work

  • Occupation
    Engineer, HVAC

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2008
  • First AutoCAD Version
    AutoCAD 2000
  1. Joro--

    Good CAD 3D

    Hello all, which would be the best 3D CAD Application for HVAC systems? I need the application just to draw pipes and ducts systems and for bill of quantities, any other calculations are not important in this case. Up to now I have been using 2D for the drawings, but some drawings come to us also in 3D and for this reason I need a 3D tool. It would be nice to have some opinions for Applications like Autocad MEP, Revit, PIT, CATS or smth else suitable to get a general orientation in this sphere. Regards, Joro
  2. Joro--

    macro with offset

    Yes, I want to draw pipes - for HVAC. The macro should work with AutoCad 2015LT. It would be even better if the middleline is changed to different layer after the offset.Could you write smth like this? Regards Joro
  3. Joro--

    macro with offset

    Hi YZ, The angle of lines varies . What I'd like to do is - the user draws a line, the line can be in any direction, then starts the command offset and the user is asked to enter offset distance, the line is offset both sides with the half of the distance entered would a macro do this? Regards, Joro
  4. Joro--

    macro with offset

    Yes, you are both right ReMark and Bigal, This sounds more like a lisp task. I would personally use VBA, but the problem is, that i need it in AutoCad LT, and there are supported only diesel macros. I'm actually trying to draw a pipe with middle line Any suggestions?
  5. Joro--

    macro with offset

    Hello, I am new to macros and I try to write a macro that does the following: the user draws a line and automatically appear two other lines - one left and one right each offset by 100 from the original line. Is it possible with macros? Any help is welcome! Joro
  6. Joro--

    VBA Macros in AutoCad 2015

    Txanks Tyke, This is actually what I really needed. I will definitely check all my macros. The important thing was that there are really not many things to change, because I habe made some pretty long VBA Macros (tausends of rows) an it would tale really long to repair them. And then I would prefer to stay with the old Autocad. BlackBox, yes I have the passwords for the code Regards Joro
  7. Joro--

    VBA Macros in AutoCad 2015

    Hello, As far as I understand the most of the things remaim the same in VBA7.1. Can you post several code lines with changes comparing to old VBA. 10x
  8. Joro--

    VBA Macros in AutoCad 2015

    Tyke, Thanks for your explanation. In my macros I use codelines like Dim L as AcadLine Or Dim B as AcadBlockReference With the corresponding syntaxis. Do you think, that this would newd to be actualized everywhere in my code. Thid is infact no real library referencing. As to my underszanding the syntax of vba doesnt change?
  9. Hello all, does anybody know whether the VBA Macros work with AutoCad 2015? The problem is that my Autocad at work will be changed from 2013 to 2015 and I don't know will I be able to use the macros that I currently use with 2013. For 2013 I use the VBA Enabler, but I have heard that there are no Enablers for 2014 and 2015 and there is smth like VBA7...??? Thanks in advance for any info. Joro
  10. Several years ago I started doing something similar through VBA for a friend of mine. The idea was to programatically build in 3D Autocad furniture modules - plate by plate through solids with the possibility to get Bill Of Quantities from the drawing (3D model). But we realised that it would be too much time (and money) consumming to create a programatical input and 3D model for a wide variaty of furniture. It will be probably easier and chipper to use some general use furniture software if it suffices your needs.
  11. Joro--

    point orientation

    It doesn't seems like the point object in VBA has no .Rotation property at all. It is just a point. To have a rotation you should better use a block containing a point or just any kind of block.
  12. Joro--

    selectAtpoint method

    yes - only one object is selected because it's just a basic example to show you that this functionality works. If you perform .SelectAtPoint several times with different poitsmore objects will be added to the selectionset. For two points: Sub TrySelectAtPoint() On Error Resume Next Dim ss As AcadSelectionSet ThisDrawing.SelectionSets("MySS").Delete If Err Then Err.Clear End If ThisDrawing.SelectionSets.Add "MySS" Set ss = ThisDrawing.SelectionSets("MySS") Dim selPt(2) As Double selPt(0) = 0 selPt(1) = 0 selPt(2) = 0 MsgBox ss.Count & " BEFORE selecting" ss.SelectAtPoint selPt selPt(0) = 100 selPt(1) = 0 selPt(2) = 0 ss.SelectAtPoint selPt MsgBox ss.Count & " AFTER selecting" End Sub
  13. Joro--

    selectAtpoint method

    kalai, I don't know where is the problem in your code, but I wrote a few lines and there seems to be no problem. I'm posting my code, hope it will help you Sub TrySelectAtPoint() On Error Resume Next Dim ss As AcadSelectionSet ThisDrawing.SelectionSets("MySS").Delete If Err Then Err.Clear End If ThisDrawing.SelectionSets.Add "MySS" Set ss = ThisDrawing.SelectionSets("MySS") Dim selPt(2) As Double selPt(0) = 0 selPt(1) = 0 selPt(2) = 0 MsgBox ss.Count & " BEFORE selecting" ss.SelectAtPoint selPt MsgBox ss.Count & " AFTER selecting" Line.sel End Sub
  14. Joro--

    Compare points in vba

    ...using VBA...
  15. Joro--

    Compare points in vba

    Well, I think you can still use the .ObjectID property of the AcadPoint object to compare if two points are the same. Same .ObjectID means same point.
×